﻿<div id="clan-dom">
    <div id="clan-zone">
        <div class="app-zone" data-bind="css: { 'no-pad': clan(), 'pad': !clan() }">
            <div class="inner">
                <div data-bind="if: clan()">
                    <div class="clan-display">
                        <div class="clan-top app-border-bottom">
                            <div class="inner">
                                <div class="clan-title app-border-right inline-block">
                                    <div class="inner">
                                        <div>
                                            <div class="clan-banner">
                                                <img height="125" width="125" data-bind="attr: { src: '/File/GetClanBanner?id=' + clan().ClanId() }" />
                                            </div>
                                        </div>
                                        <div>
                                            <h3 data-bind="text: clan().Name"></h3>
                                        </div>
                                    </div>
                                </div>
                                <div class="clan-tright inline-block">
                                    <div class="inner">
                                        <div class="clan-desc" data-bind="css: { lead: clanRole().Lead() }">
                                            <div class="inner">
                                                <div data-bind="if: editDescMod()">
                                                    <textarea data-bind="value: clan().Description"></textarea>
                                                </div>
                                                <div data-bind="if: !editDescMod()">
                                                    <span data-bind="text: clan().Description"></span>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="clan-edesc" data-bind="if: clanRole().Lead()">
                                            <div class="inner">
                                                <button class="float-right app-button" data-bind="click: toggleEditModel">Edit</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="clan-bot">
                            <div class="inner">
                                <div class="clan-members inline-block">
                                    <div class="app-click app-collapse" data-bind="click: toggleMembers">
                                        <div class="inner">
                                            Members ( <span data-bind="text: clan().Members().length"></span> ) 
                                            <span data-bind="text: membersOpened() ? '▲' : '▼'"></span>
                                        </div>
                                    </div>
                                    <div data-bind="collapse: membersOpened">
                                        <table class="app-table simple-table scroll-table table-members">
                                            <thead>
                                                <tr>
                                                    <th class="member-name">Name</th>
                                                    <th class="member-lvl">Lvl</th>
                                                    <th class="member-gen">Gen</th>
                                                    <th class="member-role">Role</th>
                                                    <th class="member-action"></th>
                                                </tr>
                                            </thead>
                                            <tbody data-bind="foreach: clan().Members">
                                                <tr>
                                                    <td class="member-name"><span data-bind="text: Name"></span></td>
                                                    <td class="member-lvl"><span data-bind="text: Level"></span></td>
                                                    <td class="member-gen"><span data-bind="text: Generation() + 1"></span></td>
                                                    <td class="member-role"><span data-bind="text: ClanRole().Name"></span></td>
                                                    <td class="member-action" data-bind="if: $parent.clanRole().Lead() && !ClanRole().Lead()">
                                                        <span class="app-action" data-bind="click: $parent.kickMember">kick</span>
                                                    </td>
                                                </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                                <div class="clan-applis inline-block" data-bind="if: clanRole().Lead()">
                                    <div class="app-click app-collapse" data-bind="click: toggleApplis">
                                        <div class="inner">
                                            Applications ( <span data-bind="text: clan().Applications().length"></span> ) 
                                            <span data-bind="text: applisOpened() ? '▲' : '▼'"></span>
                                        </div>
                                    </div>
                                    <div data-bind="collapse: applisOpened">
                                        <table class="app-table simple-table scroll-table table-applis">
                                            <thead>
                                                <tr>
                                                    <th class="appli-name">Name</th>
                                                    <th class="appli-action">Gen</th>
                                                </tr>
                                            </thead>
                                            <tbody data-bind="foreach: clan().Applications">
                                                <tr>
                                                    <td class="appli-name"><span data-bind="text: CharacterName"></span></td>
                                                    <td class="appli-action">
                                                        <span class="app-action" data-bind="click: $parent.acceptAppli">accept</span>
                                                        <span> | </span>
                                                        <span class="app-action" data-bind="click: $parent.rejectAppli">reject</span>
                                                    </td>
                                                </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                                <div class="clan-actions">
                                    <span data-bind="if: clanRole().Lead()">
                                        <button class="app-button" data-bind="click: disband"> Disband </button>
                                    </span>
                                    <button class="app-button" data-bind="click: leave"> Leave </button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div data-bind="if: !clan()">
                    <div class="clan-info">
                        <h3 class="app-zone-title">You don't have a clan</h3>
                        <p>
                            You can join a clan by applying for one in the <a class="app-action" href="#/clan/clans">clan list</a> or 
                            create your own using <a class="app-action" href="#/clan/create">this form</a>.
                        </p>
                        <p>
                            A clan will allow you to share a banner with your clan mate. To get a banner you will 
                            have to become an official clan by <a class="app-action" href="http://forums.taleworlds.com/index.php/topic,311626.0.html" target="_blank">making an application</a>.
                        </p>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>